FruxonDocs
ApiKnowledge bases

Keeps a knowledge base's applied upgrade, closing its rollback.

An applied upgrade is kept automatically after 14 days, and when a later upgrade is confirmed.

POST
/v1/tenants/{tenant}/knowledgeBases/{knowledgeBase}/upgrades/{upgrade}:confirm
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

knowledgeBase*string

The knowledge base id.

Formatuuid
upgrade*string

The upgrade id.

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/knowledgeBases/497f6eca-6276-4993-bfeb-53cbbbba6f08/upgrades/497f6eca-6276-4993-bfeb-53cbbbba6f08:confirm"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "ownerKind": "KNOWLEDGE_SOURCE",
  "ownerId": "00000000-0000-0000-0000-000000000000",
  "recipeKey": "string",
  "fromVersion": 0,
  "toVersion": 0,
  "status": "PLANNED",
  "failedDuring": "PLANNED",
  "detail": "string",
  "wasActive": false,
  "canRollBack": false,
  "work": {
    "agents": [
      {
        "role": "UNSPECIFIED",
        "agentId": "string",
        "action": "UNSPECIFIED",
        "targetHash": "string"
      }
    ],
    "automation": {
      "triggerId": "00000000-0000-0000-0000-000000000000",
      "action": "UNCHANGED",
      "targetHash": "string"
    },
    "drainStageIds": [
      "string"
    ]
  },
  "revisionsBefore": {},
  "revisionsAfter": {},
  "created": [
    {
      "kind": "TRIGGER",
      "role": "SOURCE",
      "resourceId": "string"
    }
  ],
  "requestedBy": "string",
  "createdAt": 0,
  "modifiedAt": 0,
  "appliedAt": 0,
  "confirmedAt": 0,
  "rolledBackAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}